For the complete documentation index, see llms.txt. This page is also available as Markdown.

Gesundheitsstatus Zu Deals

Manage CRM deal health statuses in VARIO Cloud via API, including creation, updates, activation, deactivation, sorting, and deletion.

CRM Deals: Gesundheitsstatus

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json

Gesundheitsstatus von CRM-Deals

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

get/erp/crm-deals/health/{id}
GET /erp/crm-deals/health/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1,
  "active": true
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

Gesundheitsstatus von CRM-Deals

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

Responses
200

successful operation

application/json

Gesundheitsstatus von CRM-Deals

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

put/erp/crm-deals/health/{id}
PUT /erp/crm-deals/health/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1,
  "active": true
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/crm-deals/health/{id}
DELETE /erp/crm-deals/health/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

deaktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json

Gesundheitsstatus von CRM-Deals

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

put/erp/crm-deals/health/{id}/deactivate
PUT /erp/crm-deals/health/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1,
  "active": true
}

aktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json

Gesundheitsstatus von CRM-Deals

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

put/erp/crm-deals/health/{id}/activate
PUT /erp/crm-deals/health/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1,
  "active": true
}

moves a line to a new position

put
Path parameters
dealHealthIdinteger · int64Required
positioninteger · int32Required
Responses
200

OK

application/json

Gesundheitsstatus von CRM-Deals

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

put/erp/crm-deals/health/{dealHealthId}/move/{position}
PUT /erp/crm-deals/health/{dealHealthId}/move/{position} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1,
  "active": true
}

Create new Resource

post
Body

Gesundheitsstatus von CRM-Deals

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

Responses
200

successful operation

application/json

Gesundheitsstatus von CRM-Deals

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Optional

Sortierreihenfolge

activebooleanRead-onlyOptional

aktiv

post/erp/crm-deals/health
POST /erp/crm-deals/health HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "sortOrder": 1,
  "active": true
}

Last updated

Was this helpful?